--- title: "Onboarding employees" slug: "recipe-hcm-onboarding-employees" tags: ["Recipe", "HCM"] updated: 2024-02-22T20:55:43Z published: 2024-02-22T20:55:43Z canonical: "developers.cmicglobal.com/recipe-hcm-onboarding-employees" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Onboarding Employees Applicants hired in external system and onboarded as employees in CMiC. 📘 Pre-requisites: - Tables exist in CMiC - Employee auto numbering is configured ## Step 1: Create Employee **Request** ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/hcm-rest-api/rest/1/pyemployee' \ --header 'Content-Type: application/vnd.oracle.adf.resourceitem+json' \ --data-raw '{ "EmhActionCode": "NR", "EmpAddressForeignFlag": "N", "EmpAnnualSalary": null, "EmpBillingRate": 99.99, "EmpCalcAccruedLeave": "Y", "EmpCalcPref": "S", "EmpChargeOutRate": 99.99, "EmpCityFilingStatus": null, "EmpCompCode": "001", "EmpCountryCode": "US", "EmpCreateAccessCode": null, "EmpDateOfBirth": "1962-10-10", "EmpDeptCode": "00", "EmpDirectDepMethod": "M", "EmpDisabilityDisCode": "NONE", "EmpDominantHand": "R", "EmpDotRateCode": "DOT", "EmpDrClearAccCode": "85600", "EmpEmailAddress": "james.bond@int.cmic.ca", "EmpEthnicCode": "W", "EmpFilingStatus": "03", "EmpFirstName": "James", "EmpFlsaType": "N", "EmpFullName": "James Bond", "EmpFullPartTime": "F", "EmpGlAccCode": "84090", "EmpHemplType": "H", "EmpHemplYearlySal": null, "EmpHireDate": "2004-09-20", "EmpHomeCompCode": "001", "EmpHourlyRate": 99.99, "EmpJobCompCode": "001", "EmpLanguageLangName": "English", "EmpLastName": "Bond", "EmpLeaveCalcPref": "R", "EmpLevAcruGlAccCode": "20130", "EmpLevClearAccCode": "20130", "EmpMaritalStatus": "S", "EmpMembershipDate": null, "EmpMilitaryStatus": "NV", "EmpNo": "0067", "EmpNrCertificate": "N", "EmpOtRateCode": "OT", "EmpOthRateCode": "OTHR", "EmpPayrollClearAccCode": "85600", "EmpPhAddressForeignFlag": "N", "EmpPlByJob": "Y", "EmpPrefContactMth": "E", "EmpPreferBillRate": "J", "EmpPreferChargeRate": "J", "EmpPreferPayRate": "J", "EmpPrnCode": "WK", "EmpPygCode": "HRLY", "EmpRateCode": "REG", "EmpRehireEligible": "Y", "EmpResidentStatus": "C", "EmpSecGrpEmpCode": "MASTER", "EmpSeniorityDate": "2004-09-20", "EmpSex": "M", "EmpSinNo": "333224444", "EmpStateCode": "NY", "EmpStateFilingStatus": null, "EmpStatus": "A", "EmpSubStatus": "W", "EmpTravelDistance": 500, "EmpTravelFlag": "Y", "EmpTrdCode": "CARP", "EmpType": "H", "EmpUnionized": "N", "EmpUser": "DA", "EmpVUuid": "", "EmpVertexGeocode": "330612010", "EmpVertexGeocodeSource": "M", "EmpWcbByJob": "Y", "EmpWcbCode": "8810", "EmpWrlCode": "NY", "EmpWrlFlag": "Y", "EmpZipCode": "10004" }' ``` ## Step 2: Create Employee Tax Override ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/hcm-rest-api/rest/1/pytaxemp' \ --header 'Content-Type: application/vnd.oracle.adf.resourceitem+json' \ --data-raw '{ "TxpEmpNo": "ZZ-OLSEN", "TxpStateCode": "IL", "TxpWrlCode": "ALL", "TxpTaxCode": "ZSTA", "TxpEffectiveDate": "2019-04-03T00:00:00-05:00", "TxpTaxAmount": 28, "TxpAmtType": "00", "TxpCalcmeth": "03", "TxpAltCalcCode": null, "TxpExcludeFlag": "N", "TxpUser": "LUDMILA", "TxpLastUpdDate": "2014-02-06T13:01:26-05:00", "TxpTaxType": "B", "TxpVUuid":"" }' ``` ## Step 3: Create Employee Tax Exemption - Federal **Request** ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/hcm-rest-api/rest/1/pytaxexm' \ --header 'Content-Type: application/vnd.oracle.adf.resourceitem+json' \ --data-raw '{ "TxxEmpNo": "009", "TxxStateCode": "ALL", "TxxEffectiveDate": "2021-01-01T00:00:00-05:00", "TxxNrCertificate": "N", "TxxFilingStatus": "03", "TxxExempAmount": 1000, "TxxSuplExpAmount": 500, "TxxPrimExemp": 2, "TxxSecnExemp": 3, "TxxTertExemp": 0, "TxxUser": "DA", "TxxLastUpdDate": "2021-08-12T17:37:03-04:00", "TxxWrlCode": "ALL", "TxxVUuid":"" }' ``` ## Step 4: Create Employee Tax Exemption - State **Request** ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/hcm-rest-api/rest/1/pytaxexm' \ --header 'Content-Type: application/vnd.oracle.adf.resourceitem+json' \ --data-raw '{ "TxxEmpNo": "009", "TxxStateCode": "IL", "TxxEffectiveDate": "2021-01-01T00:00:00-05:00", "TxxNrCertificate": "N", "TxxExempAmount": 1942, "TxxSuplExpAmount": 2500, "TxxPrimExemp": 2, "TxxSecnExemp": 3, "TxxTertExemp": 4, "TxxUser": "DA", "TxxLastUpdDate": "2013-08-12T17:37:03-04:00", "TxxWrlCode": "ALL", "TxxVUuid":"" }' ``` ## Step 5: Create Employee Direct Deposit **Request** ``` curl --location --request POST 'https://mobtest.cmiccloudr12.com/cmictestrti/hcm-rest-api/rest/1/pyempsalspl' \ --header 'Content-Type: application/vnd.oracle.adf.resourceitem+json' \ --data-raw '{ "EssCompCode":"ZZ", "EssEmpNo":"1407", "EssSplitNumber":"1", "EssSplitType":"D", "EssBankAccNumber":"99900011", "EssBankCode":"ABFT-AE", "EssBranchCode":null, "EssSplitPercent":"100.000", "EssUser":"CMICUSER", "EssLastUpdDate":"2020-01-01 09:07:21.205", "EssAchTranCode":"4", "EssPrenoteCnt":"", "EssEmpSalSplitType":"", "EssSplitMethod":"", "EssTranType":"", "EssTranCode":"", "EssVUuid":"" }' ```